| Version: 3.2.8

Public Member Functions | List of all members
wxScrollWinEvent Class Reference
Class List by Category » Events

`#include <wx/event.h>`

Inheritance diagram for wxScrollWinEvent:
[legend]

## Detailed Description

A scroll event holds information about events sent from scrolling windows.

Note that you can use the EVT_SCROLLWIN* macros for intercepting scroll window events from the receiving window.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxScrollWinEvent& event)

Event macros:

- EVT_SCROLLWIN(func):
  Process all scroll events.
- EVT_SCROLLWIN_TOP(func):
  Process `wxEVT_SCROLLWIN_TOP` scroll-to-top events.
- EVT_SCROLLWIN_BOTTOM(func):
  Process `wxEVT_SCROLLWIN_BOTTOM` scroll-to-bottom events.
- EVT_SCROLLWIN_LINEUP(func):
  Process `wxEVT_SCROLLWIN_LINEUP` line up events.
- EVT_SCROLLWIN_LINEDOWN(func):
  Process `wxEVT_SCROLLWIN_LINEDOWN` line down events.
- EVT_SCROLLWIN_PAGEUP(func):
  Process `wxEVT_SCROLLWIN_PAGEUP` page up events.
- EVT_SCROLLWIN_PAGEDOWN(func):
  Process `wxEVT_SCROLLWIN_PAGEDOWN` page down events.
- EVT_SCROLLWIN_THUMBTRACK(func):
  Process `wxEVT_SCROLLWIN_THUMBTRACK` thumbtrack events (frequent events sent as the user drags the thumbtrack).
- EVT_SCROLLWIN_THUMBRELEASE(func):
  Process `wxEVT_SCROLLWIN_THUMBRELEASE` thumb release events.

##

Library: wxCore
Category: Events

See also
  wxScrollEvent, Events and Event Handling

## Public Member Functions
| wxScrollWinEvent (wxEventType commandType=wxEVT_NULL, int pos=0, int orientation=0)
| Constructor. More...
int | GetOrientation () const
| Returns wxHORIZONTAL or wxVERTICAL, depending on the orientation of the scrollbar. More...
int | GetPosition () const
| Returns the position of the scrollbar for the thumb track and release events. More...
void | SetOrientation (int orient)
void | SetPosition (int pos)
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor. More...
virtual wxEvent * | Clone () const =0
| Returns a copy of the event. More...
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any. More...
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`. More...
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event. More...
int | GetId () const
| Returns the identifier associated with this event, such as a button command id. More...
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler. More...
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise. More...
long | GetTimestamp () const
| Gets the timestamp for the event. More...
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false. More...
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation). More...
void | SetEventObject (wxObject *object)
| Sets the originating object. More...
void | SetEventType (wxEventType type)
| Sets the event type. More...
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id. More...
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event. More...
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0. More...
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns. More...
int | StopPropagation ()
| Stop the event from propagating to its parent window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxScrollWinEvent()

wxScrollWinEvent::wxScrollWinEvent | ( | wxEventType | commandType = `wxEVT_NULL`,
|  | int | pos = `0`,
|  | int | orientation = `0`
| ) |  |

Constructor.

## Member Function Documentation

## ◆ GetOrientation()

int wxScrollWinEvent::GetOrientation | ( |  | ) | const

Returns wxHORIZONTAL or wxVERTICAL, depending on the orientation of the scrollbar.

Todo:
  wxHORIZONTAL and wxVERTICAL should go in their own enum

## ◆ GetPosition()

int wxScrollWinEvent::GetPosition | ( |  | ) | const

Returns the position of the scrollbar for the thumb track and release events.

Note that this field can't be used for the other events, you need to query the window itself for the current position in that case.

## ◆ SetOrientation()

void wxScrollWinEvent::SetOrientation | ( | int | orient | ) |

## ◆ SetPosition()

void wxScrollWinEvent::SetPosition | ( | int | pos | ) |